com.informix.util

## Class TraceFlag

- java.lang.Object
- - com.informix.util.TraceFlag

    public class TraceFlag
    extends java.lang.Object

### Field Summary

Fields
`static boolean` `compiletrace`
`static boolean` `loggerTrace`

### Method Summary

Methods
`static boolean` `configureTracing(java.util.Properties connInfo)` This methods sets the value for compileTrace after checking the connection String
`static void` `enableTrace(boolean enable)`
`static boolean` `isTraceEnabled()`
`static java.util.logging.Level` `mapLevel(int oldLevel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### compiletrace

    public static boolean compiletrace

#### loggerTrace

    public static boolean loggerTrace

### Method Detail

#### isTraceEnabled

    public static boolean isTraceEnabled()

#### enableTrace

    public static void enableTrace(boolean enable)

#### configureTracing

    public static boolean configureTracing(java.util.Properties connInfo)

This methods sets the value for compileTrace after checking the connection String

#### mapLevel

    public static java.util.logging.Level mapLevel(int oldLevel)